program ulan32;

uses
  Globals in 'GLOBALS.PAS',
  Forms,
  Main in 'MAIN.PAS' {MainForm},
  Specform in 'SPECFORM.PAS' {SpectrumForm},
  Margdial in 'MARGDIAL.PAS' {MarginsDialog},
  Plotu in 'PLOTU.PAS',
  spectrum in 'SPECTRUM.PAS',
  Ulantype in 'ULANTYPE.PAS',
  Debugfrm in 'DEBUGFRM.PAS' {DebugForm},
  Drawbuf in 'DRAWBUF.PAS',
  Repform in 'REPFORM.PAS' {ReportForm},
  Aboutfrm in 'ABOUTFRM.PAS' {AboutBox},
  commfrm in 'Commfrm.pas' {CommForm},
  ghlbtype in 'ghlbtype.pas',
  ulanglob in 'ulanglob.pas',
  devmode in 'devmode.pas',
  devsetfr in 'devsetfr.pas' {DevSetupForm},
  cominfo in 'Cominfo.pas' {CommInfoForm},
  filtdlg in 'filtdlg.pas' {FilterParsForm},
  ULAType in 'ULAType.pas',
  ulitype in 'ulitype.pas',
  ULURType in 'ULURType.pas',
  uldrtype in 'uldrtype.pas',
  tvtype in 'units32\tvtype.pas',
  ulrectyp in 'ulrectyp.pas',
  ulobju in 'ulobju.pas',
  txulan in 'txulan.pas',
  ulobjed in 'ulobjed.pas',
  uluobju in 'uluobju.pas',
  uliobju in 'uliobju.pas',
  ulufrmu in 'ulufrmu.pas' {ULUForm},
  ULIFrmu in 'Ulifrmu.pas' {ULIForm},
  proputl in 'proputl.pas',
  ulgctype in 'ulgctype.pas',
  ulgftype in 'ulgftype.pas',
  ulptype in 'ulptype.pas',
  uletype in 'uletype.pas',
  ulbrowu in 'ulbrowu.pas' {BrowseForm},
  ulrecutl in 'ulrecutl.pas',
  ULRType in 'ULRType.pas',
  expimpu in 'expimpu.pas',
  mouselin in 'mouselin.pas',
  Axisu in 'Axisu.pas',
  uledfrm in 'uledfrm.pas' {ULEditForm},
  ulxedfrm in 'ulxedfrm.pas' {TULXEditForm},
  ulobjdes in 'ulobjdes.pas',
  ulvotype in 'ulvotype.pas',
  pumpfrm in 'pumpfrm.pas' {PumpForm};

{$R *.RES}
{$R TXULAN.RES}
begin
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TMarginsDialog, MarginsDialog);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TDevSetupForm, DevSetupForm);
  Application.CreateForm(TCommInfoForm, CommInfoForm);
  Application.CreateForm(TFilterParsForm, FilterParsForm);
  Application.CreateForm(TDebugForm, DebugForm);
  Application.CreateForm(TPumpForm, PumpForm);
  if paramcount > 0 then begin
    CreateSpectrumForm(paramstr(1), omRead);
  end;
  Application.Run;
end.
